<html lang="en">
    <head>
        <meta charset="UTF-8">
        <title>AAAAAAAAAAA</title>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/socket.io/2.0.4/socket.io.js"></script>
        <!-- HTTPS required. HTTP will give a 403 forbidden response -->
        <script src="https://sdk.accountkit.com/en_US/sdk.js"></script>
        <script src="https://code.jquery.com/jquery-1.11.1.js"></script>
        <script type="text/javascript">
            AccountKit.init(
                    {
                        appId:"375893249929733", 
                        state:"{{csrf}}", 
                        version:"v1.1",
                        fbAppEventsEnabled:true
                    }
                );
        </script>
    </head>
    <body>
        <input value="+1" id="country_code" />
        <input placeholder="phone number" id="phone_number"/>
        <button onclick="smsLogin();">Login via SMS</button>
        <div>ORR</div>
        <input placeholder="email" id="email"/>
        <button onclick="emailLogin();">Login via Email</button>
        <script>
            // login callback
            function loginCallback(response) {
                if (response.status === "PARTIALLY_AUTHENTICATED") {
                var code = response.code;
                var csrf = response.state;
                // Send code to server to exchange for access token
                console.log(code);
                }
                else if (response.status === "NOT_AUTHENTICATED") {
                // handle authentication failure
                }
                else if (response.status === "BAD_PARAMS") {
                // handle bad parameters
                }
            }
            
            // phone form submission handler
            function smsLogin() {
                var countryCode = document.getElementById("country_code").value;
                var phoneNumber = document.getElementById("phone_number").value;
                AccountKit.login(
                'PHONE', 
                {countryCode: countryCode, phoneNumber: phoneNumber}, // will use default values if not specified
                loginCallback
                );
            }
            
            
            // email form submission handler
            function emailLogin() {
                var emailAddress = document.getElementById("email").value;
                AccountKit.login(
                'EMAIL',
                {emailAddress: emailAddress},
                loginCallback
                );
            }
            </script>              
        <a href="#" id="test">AAAAAAAA</a>
        <script>
            function Socket(url, channel) {
                var iden = {
                  'channel': channel,
                  'user_id': 1
                }
                var ws = new WebSocket(url);
              
                ws.addEventListener('open',() => {
                    ws_obj = {
                      'command': 'subscribe',
                      'identifier': JSON.stringify(iden),
                      'data': {"user_id": 1}
                    }
                    ws.send(JSON.stringify(ws_obj));
                });
                ws.addEventListener('message', function (event) {
                    result = JSON.parse(event.data)
                    if(result.type == 'welcome'){

                    } else if (result.type == 'ping'){
                      
                    } else if (result.type == 'confirm_subscription'){

                    } else {
                        console.log(result.message)
                    }
                });
                ws.addEventListener('close', function (event) {
                    console.log('Connection lost...')
                    console.log(event)
                }); 
                $("#test").click(function(event){
                    data = {
                      'data': {},
                      'action': 'speak'
                    }
                    ws_obj = {
                      'command': 'message',
                      'identifier': JSON.stringify(iden),
                      'data': JSON.stringify(data)
                    }
                    ws.send(JSON.stringify(ws_obj))
                })
            }
            (function(){
                var a = Socket("ws://alpha-api.medpro.com.vn/cable","MessageChannel")
            })()
          </script>
    </body>
</html>
